---
title: "Retrieve HR Requisitions by Code"
slug: "retrieve-hr-requisitions-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-hr-requisitions-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve HR Requisitions by Code

Get/hcm-rest-api/rest/1/hrrequisitions

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Requisition Finder
- By UUID

#### Requisition Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| JobTitleVar | Job Title | Payroll Manager |
| StatusCodeVar | Status Code | H |

#### By UUID

This is an optional finder for querying a specific HR Requisition by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /hcm-rest-api/rest/1/hrrequisitions/EB2F372A016551A1E05316821FAC932D |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleRequisitionFinder;JobTitleVar=Payroll Manager,StatusCodeVar=H
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleHrrVUuid

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='9f80e739-370f-45ad-83e2-ce41fdaa4a59'>application/json</option>
</select>

```json
{
  "items": [
    {
      "HrrOraseq": 829397290,
      "HrrCode": "001",
      "HrrDate": null,
      "HrrQty": null,
      "HrrTrdCode": "0095",
      "HrrRequestedBy": null,
      "HrrPropHireDate": null,
      "HrrPropJobTitle": "Payroll Manager",
      "HrrJobDesc": null,
      "HrrResp": "Managing Payroll checks/direct depositis are accurately processed and sent to employees",
      "HrrSalaryRange": null,
      "HrrPropSalary": null,
      "HrrStatusCode": "H",
      "HrrAccountingCode": null,
      "HrrNotes": null,
      "HrrFullparttime": "F",
      "HrrTemporary": "N",
      "HrrType": "A",
      "HrrHireOffice": null,
      "HrrVUuid": "EB2F372A016551A1E05316821FAC932D",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrrequisitions/EB2F372A016551A1E05316821FAC932D",
          "name": "hrrequisitions",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrrequisitions/EB2F372A016551A1E05316821FAC932D",
          "name": "hrrequisitions",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrrequisitions",
      "name": "hrrequisitions",
      "kind": "collection"
    }
  ]
}
```

object
